Index: code/branches/FICN/src/network/PacketGenerator.cc
===================================================================
--- code/branches/FICN/src/network/PacketGenerator.cc	(revision 774)
+++ code/branches/FICN/src/network/PacketGenerator.cc	(revision 777)
@@ -1,39 +1,37 @@
 /*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Dumeni Manatschal, (C) 2007
- *   Co-authors:
- *      ...
- *
- */
+*   ORXONOX - the hottest 3D action shooter ever to exist
+*
+*
+*   License notice:
+*
+*   This program is free software; you can redistribute it and/or
+*   modify it under the terms of the GNU General Public License
+*   as published by the Free Software Foundation; either version 2
+*   of the License, or (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License
+*   along with this program; if not, write to the Free Software
+*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+*
+*   Author:
+*      Dumeni Manatschal, (C) 2007
+*   Co-authors:
+*      ...
+*
+*/
 
 /*
- *Class generates packets that can be send by enet
- * ->don't read this without the class PacketDecoder, since they belong together
- *
- * Autor: Dumeni Manatschal
- *
+* Class generates packets that can be send by enet
+* ->don't read this without the class PacketDecoder, since they belong together
+*
+* Autor: Dumeni Manatschal
+*
 */
 
-#include "PacketManager.h"
-#include <enet/enet.h>
 #include <iostream>
 #include <list>
@@ -41,99 +39,106 @@
 #include <cstring>
 
-using namespace network;
+#include "PacketTypes.h"
+#include "PacketManager.h"
 
-PacketGenerator::PacketGenerator() {}
+namespace network
+{
+  PacketGenerator::PacketGenerator() { }
 
-//following functions create a packet in form of bytestream
+  //following functions create a packet in form of bytestream
 
-ENetPacket* PacketGenerator::acknowledgement( int state, int reliable )
-{
+  ENetPacket* PacketGenerator::acknowledgement( int state, int reliable )
+  {
     std::cout << "generating new acknowledgement, id: " << state << std::endl;
-	ack* ackreq = new ack;
-	ackreq->id = ACK;
-	ackreq->a = state;
+    ack* ackreq = new ack;
+    ackreq->id = ACK;
+    ackreq->a = state;
 
-	ENetPacket *packet = enet_packet_create( ackreq , sizeof( *ackreq ), reliable );
+    ENetPacket *packet = enet_packet_create( ackreq , sizeof( *ackreq ), reliable );
 
-	return packet;
+    return packet;
+  }
+
+  /*### mouseupdates */
+  ENetPacket* PacketGenerator::mousem( double x, double y, int reliable )
+  {
+    std::cout << "generating new mouse" << std::endl;
+    mouse* mousemove = new mouse;
+    mousemove->id = MOUSE;
+    mousemove->x = x;
+    mousemove->y = y;
+
+    ENetPacket *packet = enet_packet_create( mousemove , sizeof( *mousemove ), reliable );
+
+    return packet;
+  }
+
+  /*### keystrikes updates */
+  ENetPacket* PacketGenerator::keystrike( char press, int reliable )
+  {
+    std::cout << "generating new keyboard" << std::endl;
+    keyboard* key = new keyboard;
+    key->id = KEYBOARD;
+    key->press = press;
+
+    ENetPacket *packet = enet_packet_create( key , sizeof( *key ), reliable );
+
+    return packet;
+  }
+
+  /*### chat messages packet */
+  ENetPacket* PacketGenerator::chatMessage( const char* message, int reliable )
+  {
+    int* trans = new int[sizeof(int) + strlen(message) + 1];
+    *trans = CHAT;
+    //be carefull here, don't forget to allocate the space before using it ;-)
+    memcpy( &trans[1], (const void*)message, strlen( message ) + 1);
+    ENetPacket *packet = enet_packet_create( trans , sizeof( int ) + strlen( message ) + 1, reliable );
+
+    return packet;
+  }
+
+  /*### gamestate packet */
+  ENetPacket* PacketGenerator::gstate( GameStateCompressed* states, int reliable )
+  {
+    //std::cout << "packetgenerator" << std::endl;
+    //std::cout << "states->normsize " << states->normsize << std::endl;
+    //std::cout << "states->compsize " << states->compsize << std::endl;
+    int gid = GAMESTATE; //first assign the correct enet id
+    int totalLen = 4*sizeof( int ) + sizeof(bool) + states->compsize; //calculate the total size of the datastream memory
+    //std::cout << "totalLen " << totalLen << std::endl;
+    unsigned char *data = (unsigned char*)malloc( totalLen ); //allocate the memory for datastream
+    memcpy( (void*)(data), (const void*)&gid, sizeof( int ) ); //this is the enet id
+    memcpy( (void*)(data+sizeof(int)), (const void*)&(states->id), sizeof(int) ); //the GameStateCompressed id
+    memcpy( (void*)(data+2*sizeof(int)), (const void*)&(states->compsize), sizeof(int));
+    memcpy( (void*)(data+3*sizeof(int)), (const void*)&(states->normsize), sizeof(int));
+    memcpy( (void*)(data+4*sizeof(int)), (const void*)&(states->diffed), sizeof(bool));
+    /*(int)*(data) = gid;
+    (int)*(data+sizeof(int)) = states->id;
+    //this is the compressed size of the GameStateCompressed data, place at 3th position of the enet datastream
+    (int)*(data+2*sizeof(int)) = states->compsize;
+    //this is the uncompressed size of GameStateCompressed data
+    (int)*(data+3*sizeof(int)) = states->normsize;
+    //since there is a new parameter inside GameStateCompressed, change this function to create packet
+    (bool)*(data+4*sizeof(int)) = states->diffed;*/
+    //place the GameStateCompressed data at the end of the enet datastream
+    memcpy( (void*)(data+4*sizeof( int ) + sizeof(bool)), (const void*)states->data, states->compsize );
+    //create an enet packet with the generated bytestream
+    ENetPacket *packet = enet_packet_create( data , totalLen, reliable );
+    //delete data;
+    return packet;
+  }
+
+  ENetPacket* PacketGenerator::clid( int classid, std::string classname, int reliable )
+  {
+    unsigned char* data = (unsigned char *)malloc(3*sizeof(int)+classname.length()+1);
+    std::cout << "classid: " << classid << ", name: " << classname << std::endl;
+    *(int *)data = CLASSID;
+    *((int *)data+1) = classname.length()+1;
+    *((int *)data+2) = classid;
+    memcpy( (void *)(data+3*sizeof(int)), classname.c_str(), classname.length()+1);
+    ENetPacket *packet = enet_packet_create( data , 3*sizeof(int)+classname.length()+1, reliable );
+    return packet;
+  }
+
 }
-/*### mouseupdates */
-ENetPacket* PacketGenerator::mousem( double x, double y, int reliable )
-{
-	std::cout << "generating new mouse" << std::endl;
-	mouse* mousemove = new mouse;
-	mousemove->id = MOUSE;
-	mousemove->x = x;
-	mousemove->y = y;
-
-	ENetPacket *packet = enet_packet_create( mousemove , sizeof( *mousemove ), reliable );
-
-	return packet;
-}
-/*### keystrikes updates */
-ENetPacket* PacketGenerator::keystrike( char press, int reliable )
-{
-	std::cout << "generating new keyboard" << std::endl;
-	keyboard* key = new keyboard;
-	key->id = KEYBOARD;
-	key->press = press;
-
-	ENetPacket *packet = enet_packet_create( key , sizeof( *key ), reliable );
-
-	return packet;
-}
-/*### chat messages packet */
-ENetPacket* PacketGenerator::chatMessage( const char* message, int reliable )
-{
-	int* trans = new int[sizeof(int) + strlen(message) + 1];
-	*trans = CHAT;
-	//be carefull here, don't forget to allocate the space before using it ;-)
-	memcpy( &trans[1], (const void*)message, strlen( message ) + 1);
-	ENetPacket *packet = enet_packet_create( trans , sizeof( int ) + strlen( message ) + 1, reliable );
-
-	return packet;
-}
-
-/*### gamestate packet */
-ENetPacket* PacketGenerator::gstate( GameStateCompressed* states, int reliable )
-{
-  //std::cout << "packetgenerator" << std::endl;
-  //std::cout << "states->normsize " << states->normsize << std::endl;
-  //std::cout << "states->compsize " << states->compsize << std::endl;
-  int gid = GAMESTATE; //first assign the correct enet id
-  int totalLen = 4*sizeof( int ) + sizeof(bool) + states->compsize; //calculate the total size of the datastream memory
-  //std::cout << "totalLen " << totalLen << std::endl;
-  unsigned char *data = (unsigned char*)malloc( totalLen ); //allocate the memory for datastream
-  memcpy( (void*)(data), (const void*)&gid, sizeof( int ) ); //this is the enet id
-  memcpy( (void*)(data+sizeof(int)), (const void*)&(states->id), sizeof(int) ); //the GameStateCompressed id
-  memcpy( (void*)(data+2*sizeof(int)), (const void*)&(states->compsize), sizeof(int));
-  memcpy( (void*)(data+3*sizeof(int)), (const void*)&(states->normsize), sizeof(int));
-  memcpy( (void*)(data+4*sizeof(int)), (const void*)&(states->diffed), sizeof(bool));
-  /*(int)*(data) = gid;
-  (int)*(data+sizeof(int)) = states->id;
-  //this is the compressed size of the GameStateCompressed data, place at 3th position of the enet datastream
-  (int)*(data+2*sizeof(int)) = states->compsize;
-  //this is the uncompressed size of GameStateCompressed data
-  (int)*(data+3*sizeof(int)) = states->normsize;
-  //since there is a new parameter inside GameStateCompressed, change this function to create packet
-  (bool)*(data+4*sizeof(int)) = states->diffed;*/
-  //place the GameStateCompressed data at the end of the enet datastream
-  memcpy( (void*)(data+4*sizeof( int ) + sizeof(bool)), (const void*)states->data, states->compsize );
-  //create an enet packet with the generated bytestream
-  ENetPacket *packet = enet_packet_create( data , totalLen, reliable );
-  //delete data;
-  return packet;
-}
-
-ENetPacket* PacketGenerator::clid( int classid, std::string classname, int reliable ){
-        unsigned char* data = (unsigned char *)malloc(3*sizeof(int)+classname.length()+1);
-        std::cout << "classid: " << classid << ", name: " << classname << std::endl;
-        *(int *)data = CLASSID;
-        *((int *)data+1) = classname.length()+1;
-        *((int *)data+2) = classid;
-        memcpy( (void *)(data+3*sizeof(int)), classname.c_str(), classname.length()+1);
-        ENetPacket *packet = enet_packet_create( data , 3*sizeof(int)+classname.length()+1, reliable );
-        return packet;
-}
-
-
Index: code/branches/FICN/src/network/PacketManager.h
===================================================================
--- code/branches/FICN/src/network/PacketManager.h	(revision 774)
+++ code/branches/FICN/src/network/PacketManager.h	(revision 777)
@@ -4,79 +4,76 @@
 #include <string>
 #include <enet/enet.h>
-#include "PacketTypes.h"
+
+#include "NetworkPrereqs.h"
 
 #define CLIENTID_CLIENT -1
 
-//enum netowk generaly used to set the type ID of a packet
-namespace network{
-  
-  
+//enum netowk generally used to set the type ID of a packet
+namespace network
+{
+  /*
+  * class to generate packets
+  * 
+  * @autor: Dumeni Manatschal
+  * 
+  */ 
+  class PacketGenerator
+  {
+  public:
+    PacketGenerator();
+    //call one of this functions out of an instance of PacketGenerator to create a packet
+    ENetPacket* acknowledgement( int state, int reliable = ENET_PACKET_FLAG_RELIABLE );
+    ENetPacket* mousem( double x, double y, int reliable = ENET_PACKET_FLAG_RELIABLE );
+    ENetPacket* keystrike( char press, int reliable = ENET_PACKET_FLAG_RELIABLE );
+    ENetPacket* chatMessage( const char* message, int reliable = ENET_PACKET_FLAG_RELIABLE );
+    ENetPacket* gstate( GameStateCompressed *states, int reliable = ENET_PACKET_FLAG_RELIABLE );
+    ENetPacket* clid( int classid, std::string classname, int reliable = ENET_PACKET_FLAG_RELIABLE );
+  private:
+  };
+
+  /*
+  * class used to decode incoming packets
+  * 
+  * @autor: Dumeni Manatschal
+  * 
+  */
+  class _NetworkExport PacketDecoder
+  {
+  public:
+    PacketDecoder();
+    virtual ~PacketDecoder();
+    //call this function to decode, it calls the right decoding function below
+    bool elaborate( ENetPacket* packet, int clientId );
+  protected:
+
+    virtual void processChat( chat *data, int clientId);
+
+
+  private:
 
 
 
-/*
- * class to generate packets
- * 
- * @autor: Dumeni Manatschal
- * 
-*/ 
-class PacketGenerator
-{
-public:
-	PacketGenerator();
-	//call one of this functions out of an instance of PacketGenerator to create a packet
-	ENetPacket* acknowledgement( int state, int reliable = ENET_PACKET_FLAG_RELIABLE );
-	ENetPacket* mousem( double x, double y, int reliable = ENET_PACKET_FLAG_RELIABLE );
-	ENetPacket* keystrike( char press, int reliable = ENET_PACKET_FLAG_RELIABLE );
-  ENetPacket* chatMessage( const char* message, int reliable = ENET_PACKET_FLAG_RELIABLE );
-  ENetPacket* gstate( GameStateCompressed *states, int reliable = ENET_PACKET_FLAG_RELIABLE );
-  ENetPacket* clid( int classid, std::string classname, int reliable = ENET_PACKET_FLAG_RELIABLE );
-private:
-};
+    void acknowledgement( ENetPacket* packet, int clientId = CLIENTID_CLIENT );
+    void mousem( ENetPacket* packet, int clientId = CLIENTID_CLIENT );
+    void keystrike( ENetPacket* packet, int clientId = CLIENTID_CLIENT );
+    void chatMessage( ENetPacket* packet, int clientId = CLIENTID_CLIENT);
+    void gstate( ENetPacket* packet );
+    void clid( ENetPacket *packet);
 
-/*
- * class used to decode incoming packets
- * 
- * @autor: Dumeni Manatschal
- * 
-*/
-class PacketDecoder
-{
-public:
-	PacketDecoder();
-  virtual ~PacketDecoder();
-	//call this function to decode, it calls the right decoding function below
-	bool elaborate( ENetPacket* packet, int clientId );
-protected:
-    
-  virtual void processChat( chat *data, int clientId);
-        
-        
-private:
-        
-        
-	
-  void acknowledgement( ENetPacket* packet, int clientId = CLIENTID_CLIENT );
-  void mousem( ENetPacket* packet, int clientId = CLIENTID_CLIENT );
-  void keystrike( ENetPacket* packet, int clientId = CLIENTID_CLIENT );
-  void chatMessage( ENetPacket* packet, int clientId = CLIENTID_CLIENT);
-  void gstate( ENetPacket* packet );
-  void clid( ENetPacket *packet);
-	
-  //process data
-  //two functions are note yet implemented!
-  virtual void processGamestate(GameStateCompressed *state);
-  virtual void processAck( ack *data, int clientID);
-  void processClassid( classid *cid);
-  //virtual void processAck( ack *data);
-  
-	//print functions
-	void printAck( ack* data );
-	void printMouse( mouse* data );
-	void printKey( keyboard* data );
-	void printChat( chat* data, int clientId );
-	void printGamestate( GameStateCompressed *data );
-  void printClassid( classid *cid);
-};
+    //process data
+    //two functions are note yet implemented!
+    virtual void processGamestate(GameStateCompressed *state);
+    virtual void processAck( ack *data, int clientID);
+    void processClassid( classid *cid);
+    //virtual void processAck( ack *data);
+
+    //print functions
+    void printAck( ack* data );
+    void printMouse( mouse* data );
+    void printKey( keyboard* data );
+    void printChat( chat* data, int clientId );
+    void printGamestate( GameStateCompressed *data );
+    void printClassid( classid *cid);
+  };
 }
 
Index: code/branches/FICN/src/network/PacketTypes.h
===================================================================
--- code/branches/FICN/src/network/PacketTypes.h	(revision 774)
+++ code/branches/FICN/src/network/PacketTypes.h	(revision 777)
@@ -14,20 +14,23 @@
 #define _PacketTypes_H__
 
-namespace network{
-enum packet_id {
-  ACK,
-  MOUSE,
-  KEYBOARD,
-  CHAT,
-  GAMESTATE ,
-  CLASSID
-};
+#include "NetworkPrereqs.h"
+
+namespace network
+{
+  enum packet_id {
+    ACK,
+    MOUSE,
+    KEYBOARD,
+    CHAT,
+    GAMESTATE ,
+    CLASSID
+  };
 
 
   /**
-   * This struct defines a gamestate:
-   * size: total size of the data in *data
-   * data: pointer to the data allocated in the memory
-   */
+  * This struct defines a gamestate:
+  * size: total size of the data in *data
+  * data: pointer to the data allocated in the memory
+  */
   struct GameState{
     int id;
@@ -39,9 +42,9 @@
 
   /**
-   * this struct defines a gamestate:
-   * compsize is the size of the compressed data
-   * normsize is the size of the uncompressed data
-   * data are the gamestates
-   */
+  * this struct defines a gamestate:
+  * compsize is the size of the compressed data
+  * normsize is the size of the uncompressed data
+  * data are the gamestates
+  */
   struct GameStateCompressed{
     int id;
@@ -76,6 +79,6 @@
     char press;
   };
-	//only in this class, not PacketGenerator, used as pattern to put incoming
-	//bytes inside
+  //only in this class, not PacketGenerator, used as pattern to put incoming
+  //bytes inside
   struct chat {
     int id;
Index: code/branches/FICN/src/network/Server.cc
===================================================================
--- code/branches/FICN/src/network/Server.cc	(revision 774)
+++ code/branches/FICN/src/network/Server.cc	(revision 777)
@@ -11,14 +11,21 @@
 //
 
+#include <iostream>
 
+#include "ConnectionManager.h"
+#include "PacketTypes.h"
+#include "GameStateManager.h"
+#include "ClientInformation.h"
+//#include "NetworkFrameListener.h"
 #include "Server.h"
 
-namespace network{
 
+namespace network
+{
   /**
-   * Constructor for default values (bindaddress is set to ENET_HOST_ANY
-   *
-   */
-  Server::Server(){
+  * Constructor for default values (bindaddress is set to ENET_HOST_ANY
+  *
+  */
+  Server::Server() {
     packet_gen = PacketGenerator();
     clients = new ClientInformation(true);
@@ -28,9 +35,9 @@
 
   /**
-   * Constructor
-   * @param port Port to listen on
-   * @param bindAddress Address to listen on
-   */
-  Server::Server(int port, std::string bindAddress){
+  * Constructor
+  * @param port Port to listen on
+  * @param bindAddress Address to listen on
+  */
+  Server::Server(int port, std::string bindAddress) {
     packet_gen = PacketGenerator();
     clients = new ClientInformation();
@@ -40,9 +47,9 @@
 
   /**
-   * Constructor
-   * @param port Port to listen on
-   * @param bindAddress Address to listen on
-   */
-  Server::Server(int port, const char *bindAddress){
+  * Constructor
+  * @param port Port to listen on
+  * @param bindAddress Address to listen on
+  */
+  Server::Server(int port, const char *bindAddress) {
     packet_gen = PacketGenerator();
     clients = new ClientInformation();
@@ -52,7 +59,7 @@
 
   /**
-   * This function opens the server by creating the listener thread
-   */
-  void Server::open(){
+  * This function opens the server by creating the listener thread
+  */
+  void Server::open() {
     connection->createListener();
     return;
@@ -60,7 +67,7 @@
 
   /**
-   * This function closes the server
-   */
-  void Server::close(){
+  * This function closes the server
+  */
+  void Server::close() {
     connection->quitListener();
     return;
@@ -68,9 +75,9 @@
 
   /**
-   * This function sends out a message to all clients
-   * @param msg message
-   * @return true/false
-   */
-  bool Server::sendMSG(std::string msg){
+  * This function sends out a message to all clients
+  * @param msg message
+  * @return true/false
+  */
+  bool Server::sendMSG(std::string msg) {
     ENetPacket *packet = packet_gen.chatMessage(msg.c_str());
     //std::cout <<"adding packets" << std::endl;
@@ -79,10 +86,11 @@
     return connection->sendPackets();
   }
+
   /**
-   * This function sends out a message to all clients
-   * @param msg message
-   * @return true/false
-   */
-  bool Server::sendMSG(const char *msg){
+  * This function sends out a message to all clients
+  * @param msg message
+  * @return true/false
+  */
+  bool Server::sendMSG(const char *msg) {
     ENetPacket *packet = packet_gen.chatMessage(msg);
     std::cout <<"adding Packets" << std::endl;
@@ -90,6 +98,6 @@
     //std::cout <<"added packets" << std::endl;
     if (connection->sendPackets()){
-	std::cout << "Sucessfully" << std::endl;
-	return true;
+      std::cout << "Sucessfully" << std::endl;
+      return true;
     }
     return false;
@@ -97,9 +105,9 @@
 
   /**
-   * Run this function once every tick
-   * calls processQueue and updateGamestate
-   * @param time time since last tick
-   */
-  void Server::tick(float time){
+  * Run this function once every tick
+  * calls processQueue and updateGamestate
+  * @param time time since last tick
+  */
+  void Server::tick(float time) {
     processQueue();
     updateGamestate();
@@ -108,7 +116,7 @@
 
   /**
-   * processes all the packets waiting in the queue
-   */
-  void Server::processQueue(){
+  * processes all the packets waiting in the queue
+  */
+  void Server::processQueue() {
     ENetPacket *packet;
     int clientID=-1;
@@ -121,7 +129,7 @@
 
   /**
-   * takes a new snapshot of the gamestate and sends it to the clients
-   */
-  void Server::updateGamestate(){
+  * takes a new snapshot of the gamestate and sends it to the clients
+  */
+  void Server::updateGamestate() {
     gamestates->update();
     //std::cout << "updated gamestate, sending it" << std::endl;
@@ -131,7 +139,7 @@
 
   /**
-   * sends the gamestate
-   */
-  bool Server::sendGameState(){
+  * sends the gamestate
+  */
+  bool Server::sendGameState() {
     std::cout << "starting gamestate" << std::endl;
     ClientInformation *temp = clients;
@@ -160,9 +168,9 @@
     if(added)
       return connection->sendPackets();
-    else return false;
-    //return true;
+    else
+      return false;
   }
 
-  void Server::processAck( ack *data, int clientID){
+  void Server::processAck( ack *data, int clientID) {
     clients->findClient(clientID)->setGamestateID(data->a);
   }
Index: code/branches/FICN/src/network/Server.h
===================================================================
--- code/branches/FICN/src/network/Server.h	(revision 774)
+++ code/branches/FICN/src/network/Server.h	(revision 777)
@@ -16,22 +16,15 @@
 #include <string>
 
-#include "ConnectionManager.h"
 #include "PacketManager.h"
-#include "PacketTypes.h"
-#include "GameStateManager.h"
-#include "ClientInformation.h"
-//#include "enet/enet.h"
-//#include "NetworkFrameListener.h"
+#include "NetworkPrereqs.h"
 
-
-namespace network{
-
-  
+namespace network
+{
   /**
-   * This class is the root class of the network module for a server.
-   * It implements all functions necessary for a Server
-   */
-  class Server : public PacketDecoder{
-    public:
+  * This class is the root class of the network module for a server.
+  * It implements all functions necessary for a Server
+  */
+  class _NetworkExport Server : public PacketDecoder{
+  public:
     Server();
     Server(int port, std::string bindAddress);
@@ -42,8 +35,8 @@
     bool sendMSG(const char *msg);
     void tick(float time);
-    protected:
+  protected:
     void processQueue();
     void updateGamestate();
-    private:
+  private:
     bool sendGameState();
     void processAck( ack *data, int clientID);
@@ -51,8 +44,8 @@
     GameStateManager *gamestates;
     PacketGenerator packet_gen;
-    
+
     ClientInformation *clients;
   };
- 
+
 
 
